package cn.muchinfo.rma.netcore.socket.core;

import java.io.IOException;
import java.net.InetAddress;
import java.net.Proxy;
import java.net.Socket;

/**
 * 只是简单继承Socket
 */
public class BaseSocket extends Socket {

	public BaseSocket() {
	}

	public BaseSocket(String dstName, int dstPort) throws
            IOException {
		super(dstName, dstPort);
	}

	public BaseSocket(Proxy mProxy) {
		super(mProxy);
	}

	public BaseSocket(InetAddress inetAddress, int port) throws IOException {
		super(inetAddress, port);
	}

	@SuppressWarnings("deprecation")
	public BaseSocket(InetAddress inetAddress, int port, boolean b)
			throws IOException {
		super(inetAddress, port, b);
	}

	@SuppressWarnings("deprecation")
	public BaseSocket(String dstName, int dstPort, boolean b) throws IOException {
		super(dstName, dstPort, b);
	}

	public BaseSocket(InetAddress inetAddress, int port,
                      InetAddress inetAddress1, int port1) throws IOException {
		super(inetAddress, port, inetAddress1, port1);
	}

	public BaseSocket(String dstName, int dstPort, InetAddress inetAddress,
                      int port) throws IOException {
		super(dstName, dstPort, inetAddress, port);
	}

}
